### Signal

# WebKit2 WebView::show-option-menu

since: 2.18

#### Declaration

    gboolean
    show_option_menu (
      WebKitWebView* self,
      WebKitOptionMenu* menu,
      GdkEvent* event,
      GdkRectangle rectangle,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when a select element in `web_view` needs to display a dropdown menu. This signal can be used to show a custom menu, using `menu` to get the details of all items that should be displayed. The area of the element in the `WebKitWebView` is given as `rectangle` parameter, it can be used to position the menu. If this was triggered by a user interaction, like a mouse click, `event` parameter provides the `GdkEvent`. To handle this signal asynchronously you should keep a ref of the `menu`.

The `event` parameter is now deprecated. Use `webkit_option_menu_get_event()` to get the `GdkEvent` that triggered the dropdown menu.

The default signal handler will pop up a `GtkMenu`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.18

#### Parameters

`menu`

  Type: `WebKitOptionMenu`

  The `WebKitOptionMenu`.

  The data is owned by the caller of the function.

`event`

  Type: `GdkEvent`

  The `GdkEvent` that triggered the menu, or `NULL`. Deprecated 2.40.

  The data is owned by the caller of the function.

`rectangle`

  Type: `GdkRectangle`

  The option element area.

#### Return value

Type: `gboolean`

`TRUE` to stop other handlers from being invoked for the event. `FALSE` to propagate the event further.